REM where to find code & data ====== you need to adapt directories to you local file system first, below will only work for this demo
set _prog=..\..\VJ.EAT.core\prog\PRAAT\VJcalcFormants.praat

REM relative to above PRAAT program itself
set _myInputSoundDirectory=..\..\..\VJ.EAT.demo\0 in_MP3
set _myInputGridDirectory=..\..\..\VJ.EAT.demo\0 in_grid
set _myOutputDirectory=..\..\..\VJ.EAT.demo\1 temp_data_formants_raw

REM global parameters, note that we split over multiple sets to optimize processor load
set _myExtension=mp3

set _myChannel=1
set _myShutterTier=2
set _myAnnotationTier=1

set _myFrequencyStep=100
set _myWindowLength=25
set _myWindowShift=2
set _myFilterSet=none

REM calculate formants with paralell jobs, so be sure you have enough processing power to keep up with this
REM below spreads the calculation of one sound file in multiple (frequency sweeping ranges), hence multiple tails

start "VJ" praat %_prog% "%_myInputSoundDirectory%" "Karlson-Heine-Ritter" %_myExtension% "%_myInputGridDirectory%" "Karlson-Heine-Ritter" 	"%_myOutputDirectory%" "Ritter" 1 %_myChannel% %_myShutterTier% %_myAnnotationTier%  100000 4500    4900 %_myFrequencyStep% %_myWindowLength% %_myWindowShift% -1 %_myFilterSet% 0
start "VJ" praat %_prog% "%_myInputSoundDirectory%" "Karlson-Heine-Ritter" %_myExtension% "%_myInputGridDirectory%" "Karlson-Heine-Ritter" 	"%_myOutputDirectory%" "Ritter" 2 %_myChannel% %_myShutterTier% %_myAnnotationTier%  100000 5000    5400 %_myFrequencyStep% %_myWindowLength% %_myWindowShift% -1 %_myFilterSet% 5
start "VJ" praat %_prog% "%_myInputSoundDirectory%" "Karlson-Heine-Ritter" %_myExtension% "%_myInputGridDirectory%" "Karlson-Heine-Ritter" 	"%_myOutputDirectory%" "Ritter" 3 %_myChannel% %_myShutterTier% %_myAnnotationTier%  100000 5500    6000 %_myFrequencyStep% %_myWindowLength% %_myWindowShift% -1 %_myFilterSet% 10

start "VJ" praat %_prog% "%_myInputSoundDirectory%" "Verlaine-Zwiegespraech" %_myExtension% "%_myInputGridDirectory%" "Verlaine-Zwiegespraech" 	"%_myOutputDirectory%" "Zwiegespraech" 1 %_myChannel% %_myShutterTier% %_myAnnotationTier%  110000 4500    4900 %_myFrequencyStep% %_myWindowLength% %_myWindowShift% -1 %_myFilterSet% 15
start "VJ" praat %_prog% "%_myInputSoundDirectory%" "Verlaine-Zwiegespraech" %_myExtension% "%_myInputGridDirectory%" "Verlaine-Zwiegespraech" 	"%_myOutputDirectory%" "Zwiegespraech" 2 %_myChannel% %_myShutterTier% %_myAnnotationTier%  110000 5000    5400 %_myFrequencyStep% %_myWindowLength% %_myWindowShift% -1 %_myFilterSet% 20
start "VJ" praat %_prog% "%_myInputSoundDirectory%" "Verlaine-Zwiegespraech" %_myExtension% "%_myInputGridDirectory%" "Verlaine-Zwiegespraech" 	"%_myOutputDirectory%" "Zwiegespraech" 3 %_myChannel% %_myShutterTier% %_myAnnotationTier%  110000 5500    6000 %_myFrequencyStep% %_myWindowLength% %_myWindowShift% -1 %_myFilterSet% 25

pause